Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ContentObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.ContentObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieContentObject

    public class ContentObject

extends TieSystemObject

The ContentObject class is a subclass of SystemObject that supports getting and setting Content. Content is any unstructured data. This class has two additional attributes that support content: Format and Media. Format helps a client understand how to render the content by providing a MIME type. Media describes a location for storing the content.

ContentObject content is set using a ContentObjectDefinition. A ContentObjectDefinition supports setting content from a variety of sources, including a local file and an InputStream. One uses a ContentObjectDefinition both for creating a new document and updating an existing one.

See Also:
  `ContentObjectDefinition`
(Published)

Field Summary
`static java.lang.String` | `CHARACTERSET_ATTRIBUTE` The Java name of the character encoding of the content (if applicable).
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `CONTENT_ATTRIBUTE` The row id pointing to the content for this ContentObject in Media's database table.
`static java.lang.String` | `CONTENTSIZE_ATTRIBUTE` The size of the content.
`static java.lang.String` | `FORMAT_ATTRIBUTE` The Format that describes the content.
`static java.lang.String` | `LANGUAGE_ATTRIBUTE` The Oracle name of the language of the content (if applicable).
`static java.lang.String` | `LASTMODIFYDATE_ATTRIBUTE` The date and time (in GMT) when the content associated with this object was last modified.
`static java.lang.String` | `MEDIA_ATTRIBUTE` The Media instance where the content is stored.
`static java.lang.String` | `READONLY_ATTRIBUTE` An indicator if the content is read-only or updateable.
`static java.lang.String` | `STORAGEGROUP_ATTRIBUTE` The StorageGroup used to set the PARTITIONVALUE column of the content table row.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `ContentObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a ContentObject object - standard variant.

Method Summary
`protected static ContentObject` | `constructContentObject(LibrarySession sess, S_LibraryObjectData data)` Constructs a ContentObject object from the S_LibraryObjectData object.
`protected static java.util.Vector` | `constructContentObjectVector(LibrarySession sess, java.util.Vector vector)` Returns ContentObject Vector from a Vector of ContentObject objects.
`static int` | `deleteUnreferenced(LibrarySession session, int batchSize)` Delete all ContentObjects that are no longer referenced by one or more Documents.
`void` | `filterContent(boolean plaintext, LibraryObject refObj)` Generates an HTML or plaintext version of the content, via the InterMedia INSO filters.
`void` | `generateSummary(java.lang.String pointOfView, long sizeAsPercent, long sizeAsNumParagraphs, java.lang.String summaryLevel, LibraryObject refObj)` Generates one or more summaries for this content by submitting a request to InterMedia to generate summaries.
`void` | `generateThemes(boolean fullThemes, LibraryObject refObj)` Generates the Themes for this content by submitting a request to InterMedia Text to generate Themes.
`java.lang.String` | `getCharacterSet()` Gets the Iana character set in which this content is encoded, or null if the character set is not specified.
`static java.lang.Long` | `getClassId(LibrarySession session)` Get the ID of the ClassObject representing CONTENTOBJECT.
`RandomAccessor` | `getContentByRandomAccess(Document refObj)` Gets a RandomAccessor for randomly reading the content of this ContentObject.
`java.util.Date` | `getContentModificationDate()` Returns the date the content associated with this object was last modified.
`java.io.Reader` | `getContentReader(LibraryObject refObj)` Gets the content as an `Reader`.
`long` | `getContentRowId()` Gets Content row ID.
`long` | `getContentSize()` Gets the size of the content.
`java.io.InputStream` | `getContentStream(LibraryObject refObj)` Gets the content as an `InputStream`.
`java.io.Reader` | `getFilteredContent(LibraryObject refObj)` Gets the plaintext or HTML content of the document, previously generated by a call to filterContent()
`Format` | `getFormat()` Gets the Format object.
`java.lang.String` | `getLanguage()` Gets the language of this content, or null if language not specified.
`java.util.Date` | `getLastAccessDate()` Gets when the content of this ContentObject was most recently written or read.
`Media` | `getMedia()` Gets the Media object.
`java.lang.Long` | `getPartitionValue()` Gets the partition value for this ContentObject.
`RandomAccessContentInterface` | `getRandomAccessContent(boolean canWrite, boolean shouldLock, LibraryObject refObj)` Deprecated. CM SDK 10gR2: use getContentByRandomAccess or updateContentByRandomAccess on Document
`StorageGroup` | `getStorageGroup()` Gets the StorageGroup used to set the PARTITIONVALUE column of the content table row.
`java.io.Reader` | `getSummary(java.lang.String pointOfView, LibraryObject refObj)` Gets a specific summary of this content, previously generated by a call to generateSummary().
`ContextTheme[]` | `getThemes(LibraryObject refObj)` Gets the Themes for this content, previously generated by a call to generateThemes().
`boolean` | `isReadByUser()` Returns true if the current user has read this content.
`boolean` | `isReadOnly()` Returns true if the content is read-only.
`void` | `setReadByUser(boolean readState, LibraryObject refObj)` Sets read indication (for the current user) for this content.
`void` | `setReadOnly(boolean readonly)` Sets the read-only state of the content.
`protected static ContentObject` | `vectorContentObjectElement(java.util.Vector vector, int index)` Returns a ContentObject element from the Vector of ContentObject objects at the specified index.
`protected static ContentObject[]` | `vectorToContentObjectArray(java.util.Vector vector)` Constructs an array of ContentObject objects from a Vector.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, hasNameAttribute, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ContentObject`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### FORMAT_ATTRIBUTE

    public static final java.lang.String FORMAT_ATTRIBUTE

  Description copied from class: `ContentObject`
  The Format that describes the content.

  See Also:
    Constant Field Values
  (Published)

### MEDIA_ATTRIBUTE

    public static final java.lang.String MEDIA_ATTRIBUTE

  Description copied from class: `ContentObject`
  The Media instance where the content is stored.

  See Also:
    Constant Field Values
  (Published)

### STORAGEGROUP_ATTRIBUTE

    public static final java.lang.String STORAGEGROUP_ATTRIBUTE

  Description copied from class: `ContentObject`
  The StorageGroup used to set the PARTITIONVALUE column of the content table row.

  See Also:
    Constant Field Values
  (Published)

### CONTENT_ATTRIBUTE

    public static final java.lang.String CONTENT_ATTRIBUTE

  Description copied from class: `ContentObject`
  The row id pointing to the content for this ContentObject in Media's database table.

  See Also:
    Constant Field Values
  (Published)

### CONTENTSIZE_ATTRIBUTE

    public static final java.lang.String CONTENTSIZE_ATTRIBUTE

  Description copied from class: `ContentObject`
  The size of the content.

  See Also:
    Constant Field Values
  (Published)

### CHARACTERSET_ATTRIBUTE

    public static final java.lang.String CHARACTERSET_ATTRIBUTE

  Description copied from class: `ContentObject`
  The Java name of the character encoding of the content (if applicable).

  See Also:
    Constant Field Values
  (Published)

### LANGUAGE_ATTRIBUTE

    public static final java.lang.String LANGUAGE_ATTRIBUTE

  Description copied from class: `ContentObject`
  The Oracle name of the language of the content (if applicable).

  See Also:
    Constant Field Values
  (Published)

### READONLY_ATTRIBUTE

    public static final java.lang.String READONLY_ATTRIBUTE

  Description copied from class: `ContentObject`
  An indicator if the content is read-only or updateable.

  See Also:
    Constant Field Values
  (Published)

### LASTMODIFYDATE_ATTRIBUTE

    public static final java.lang.String LASTMODIFYDATE_ATTRIBUTE

  Description copied from class: `ContentObject`
  The date and time (in GMT) when the content associated with this object was last modified. This is only modified when content changes and not for other attribute changes on this object

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ContentObject

    protected ContentObject(LibrarySession session,
                            java.lang.Long id,
                            java.lang.Long classId,
                            S_LibraryObjectData data)
                     throws IfsException

  Construct a ContentObject object - standard variant.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the ContentObject data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getClassId

    public static java.lang.Long getClassId(LibrarySession session)
                                     throws IfsException

  Description copied from class: `ContentObject`
  Get the ID of the ClassObject representing CONTENTOBJECT.

  Parameters:
    `session` - the session context
  Returns:
    the ID of the CONTENTOBJECT ClassObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getMedia

    public Media getMedia()
                   throws IfsException

  Description copied from class: `ContentObject`
  Gets the Media object.

  Returns:
    the Media object.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getStorageGroup

    public StorageGroup getStorageGroup()
                                 throws IfsException

  Description copied from class: `ContentObject`
  Gets the StorageGroup used to set the PARTITIONVALUE column of the content table row.

  Returns:
    the StorageGroup
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPartitionValue

    public java.lang.Long getPartitionValue()
                                     throws IfsException

  Description copied from class: `ContentObject`
  Gets the partition value for this ContentObject.

  A ContentObject's partition value is indirectly set when a ContentObject is created or updated. It is stored in the PARTITIONVALUE column of the content table row associated with that ContentObject. If desired, a database administrator can partition the content table by this column.

  When a ContentObject is created, if a STORAGEGROUP is specified, the new ContentObject's partition value is set to the then-current value of the PARTITIONVALUE attribute of that StorageGroup.

  The partition value of an existing ContentObject is updated when any of the following occur:

  - the STORAGEGROUP or MEDIA of that ContentObject are updated
  - the content of that ContentObject is updated by operating directly on the ContentObject (which requires administration mode) as opposed to on a Document that references that ContentObject
  In each case, the partition value is set to the then-current value of the PARTITIONVALUE attribute of the StorageGroup referenced by the ContentObject following the update.

  Changing the PARTITIONVALUE attribute of a StorageGroup does not, however, change the partition value of a ContentObject already in that StorageGroup.

  Returns:
    the partition value, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLastAccessDate

    public java.util.Date getLastAccessDate()
                                     throws IfsException

  Description copied from class: `ContentObject`
  Gets when the content of this ContentObject was most recently written or read.

  Requires the session to be in administration mode.

  Returns:
    the date, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getFormat

    public Format getFormat()
                     throws IfsException

  Description copied from class: `ContentObject`
  Gets the Format object.

  Returns:
    the Format object.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getContentSize

    public long getContentSize()
                        throws IfsException

  Description copied from class: `ContentObject`
  Gets the size of the content.

  Returns:
    the size of the underlying content.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getContentRowId

    public long getContentRowId()
                         throws IfsException

  Description copied from class: `ContentObject`
  Gets Content row ID.

  Returns:
    the ID of the underlying content row.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getCharacterSet

    public java.lang.String getCharacterSet()
                                     throws IfsException

  Description copied from class: `ContentObject`
  Gets the Iana character set in which this content is encoded, or null if the character set is not specified.

  Returns:
    the Iana character set name.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getLanguage

    public java.lang.String getLanguage()
                                 throws IfsException

  Description copied from class: `ContentObject`
  Gets the language of this content, or null if language not specified.

  Returns:
    the language.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### isReadOnly

    public boolean isReadOnly()
                       throws IfsException

  Description copied from class: `ContentObject`
  Returns true if the content is read-only. The value is set when the content object is created (you can specify it in the ContentObjectDefinition). The value is also true if the content object is shared between two objects (Documents). Once set, only an admin user can change it, however, a new content object can be cloned from this one - the clone does not have to be read only.

  Returns:
    true if the content is read-only.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setReadOnly

    public void setReadOnly(boolean readonly)
                     throws IfsException

  Description copied from class: `ContentObject`
  Sets the read-only state of the content. Only an admin user can change the read-only state of this object.

  Parameters:
    `readonly` - true if content is readonly, false otherwise
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getContentStream

    public java.io.InputStream getContentStream(LibraryObject refObj)
                                         throws IfsException

  Description copied from class: `ContentObject`
  Gets the content as an `InputStream`.

  Parameters:
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Returns:
    an InputStream of the document contents
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getContentReader

    public java.io.Reader getContentReader(LibraryObject refObj)
                                    throws IfsException

  Description copied from class: `ContentObject`
  Gets the content as an `Reader`. For most media, this method only works if the content object has an associated CharacterSet.

  Parameters:
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Returns:
    an InputStream of the document contents
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getContentByRandomAccess

    public RandomAccessor getContentByRandomAccess(Document refObj)
                                            throws IfsException

  Description copied from class: `ContentObject`
  Gets a RandomAccessor for randomly reading the content of this ContentObject.

  Parameters:
    `refObj` - a Document that references this ContentObject
  Returns:
    a RandomAccessor, or null if this ContentObject does not have content
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getRandomAccessContent

    public RandomAccessContentInterface getRandomAccessContent(boolean canWrite,
                                                               boolean shouldLock,
                                                               LibraryObject refObj)
                                                        throws IfsException

  Deprecated. CM SDK 10gR2: use getContentByRandomAccess or updateContentByRandomAccess on Document

  Description copied from class: `ContentObject`
  Gets a RandomAccessContent object that can be used to read/write content "asynchronously".

  Parameters:
    `canWrite` - whether content is writable.
    `shouldLock` - ignored
    `refObj` - the Document which refers to this ContentObject and can verify access.
  Returns:
    a RandomAccessContentInterface instance
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### isReadByUser

    public boolean isReadByUser()
                         throws IfsException

  Description copied from class: `ContentObject`
  Returns true if the current user has read this content.

  Returns:
    true if current user has read this content.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### setReadByUser

    public void setReadByUser(boolean readState,
                              LibraryObject refObj)
                       throws IfsException

  Description copied from class: `ContentObject`
  Sets read indication (for the current user) for this content.

  Parameters:
    `readState` - desired read indication for current user on this ContentObject's content
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getContentModificationDate

    public java.util.Date getContentModificationDate()
                                              throws IfsException

  Description copied from class: `ContentObject`
  Returns the date the content associated with this object was last modified.

  Returns:
    Date of modification
  Throws:
    `IfsException` - if operation fails.
  (Published)

### generateThemes

    public void generateThemes(boolean fullThemes,
                               LibraryObject refObj)
                        throws IfsException

  Description copied from class: `ContentObject`
  Generates the Themes for this content by submitting a request to InterMedia Text to generate Themes.

  Each Theme may either be a single Theme word/phrase or a hierarchical list of parent Themes. If fullThemes is set to TRUE, every Theme will also have the full hierarchy of its parent Themes generated.

  Parameters:
    `fullThemes` - generates theme hierarchy information if TRUE
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getThemes

    public ContextTheme[] getThemes(LibraryObject refObj)
                             throws IfsException

  Description copied from class: `ContentObject`
  Gets the Themes for this content, previously generated by a call to generateThemes().

  Content may have up to fifty Themes. Each Theme may either be a single Theme word/phrase or a string of parent Themes, separated by colons (':').

  There is a Weight associated with every Theme. A Weight is a numerical value that measures the importance of the Theme relative to other Themes for the content.

  Parameters:
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access (typically a Document).
  Returns:
    an array of objects encapsulating a InterMedia Theme and its associated Weight
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### generateSummary

    public void generateSummary(java.lang.String pointOfView,
                                long sizeAsPercent,
                                long sizeAsNumParagraphs,
                                java.lang.String summaryLevel,
                                LibraryObject refObj)
                         throws IfsException

  Description copied from class: `ContentObject`
  Generates one or more summaries for this content by submitting a request to InterMedia to generate summaries.

  If GENERIC is passed for pointOfView, then InterMedia will generate a single generic summary of the document, based on all the document Themes. If a specific Theme is passed for pointOfView, then InterMedia will generate a summary based on that Theme. Only the Themes generated for the document by a previous call to generateThemes() may be used as input for pointOfView. If a null value is passed for pointOfView, then InterMedia will generate a generic summary of the document, in addition to up to 50 other summaries, each based on one of Themes of the document. Only the Themes generated for the document by a previous call to generateThemes() may be used as input for pointOfView.

  Summaries are generated either by selecting specific sentences from the document, or by selecting specific paragraphs from the document. If summaryLevel is set to "S", then InterMedia generates a sentence-level summary of the document. If summaryLevel is set to "P", then InterMedia generates a paragraph-level summary of the document.

  The size of the summary generated for a document may be specified through the parameters sizeAsPercent and sizeAsNumParagraphs.

  The parameter sizeAsPercent specifies the maximum number of paragraphs (or sentences) that will be included in the summary, as a percentage of the total number of paragraphs (or sentences) present in the content. The default is 10. To use the default value, pass 0 for sizeAsPercent.

  The parameter sizeAsNumParagraphs specifies the maximum number of paragraphs (or sentences) that will be included in the summary. The default is 16. To use the default value, pass 0 for sizeAsNumParagraphs.

  When both sizeAsNumParagraphs and sizeAsPercent are specified, the parameter that yields a smaller summary size will be used.

  Parameters:
    `pointOfView` - the specific Theme(s) based on which the summary is generated
    `sizeAsPercent` - size of summary as a percentage of document size
    `sizeAsNumParagraphs` - size of summary specified as number of paragraphs or sentences
    `summaryLevel` - specifies whether summary is generated by selecting paragraphs or sentences
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getSummary

    public java.io.Reader getSummary(java.lang.String pointOfView,
                                     LibraryObject refObj)
                              throws IfsException

  Description copied from class: `ContentObject`
  Gets a specific summary of this content, previously generated by a call to generateSummary().

  Parameters:
    `pointOfView` - get the summary that is based on this particular point of view
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Returns:
    a Reader for fetching the summary
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### filterContent

    public void filterContent(boolean plaintext,
                              LibraryObject refObj)
                       throws IfsException

  Description copied from class: `ContentObject`
  Generates an HTML or plaintext version of the content, via the InterMedia INSO filters. The format of the content to be filtered must be supported by the InterMedia filters.

  Parameters:
    `plaintext` - when TRUE, indicates that a plaintext version of the document must be generated, otherwise an HTML version will be generated
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getFilteredContent

    public java.io.Reader getFilteredContent(LibraryObject refObj)
                                      throws IfsException

  Description copied from class: `ContentObject`
  Gets the plaintext or HTML content of the document, previously generated by a call to filterContent()

  Parameters:
    `refObj` - the LibraryObject which refers to this ContentObject and can verify access.
  Returns:
    a Reader for fetching the plaintext or HTML content
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### deleteUnreferenced

    public static int deleteUnreferenced(LibrarySession session,
                                         int batchSize)
                                  throws IfsException

  Description copied from class: `ContentObject`
  Delete all ContentObjects that are no longer referenced by one or more Documents.

  Invokes `free` on all ContentObjects that are no longer referenced in a separate transaction for each. Performs the search for candidate ContentObjects in batch. Ignores "object not found" exceptions, and logs all other exceptions. Returns the count of all ContentObjects freed.

  Parameters:
    `session` - the session context
    `batchSize` - the batch size to use; if 0 is specified a reasonable default is used
  Returns:
    the number of ContentObjects freed.
  Throws:
    `IfsException` - if the operation fails

### constructContentObjectVector

    protected static java.util.Vector constructContentObjectVector(LibrarySession sess,
                                                                   java.util.Vector vector)
                                                            throws IfsException

  Description copied from class: `ContentObject`
  Returns ContentObject Vector from a Vector of ContentObject objects.

  Parameters:
    `sess` - current LibrarySession
    `vector` - vector of LibraryObjectData objects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructContentObject

    protected static ContentObject constructContentObject(LibrarySession sess,
                                                          S_LibraryObjectData data)
                                                   throws IfsException

  Description copied from class: `ContentObject`
  Constructs a ContentObject object from the S_LibraryObjectData object.

  Parameters:
    `sess` - current LibrarySession
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToContentObjectArray

    protected static ContentObject[] vectorToContentObjectArray(java.util.Vector vector)

  Description copied from class: `ContentObject`
  Constructs an array of ContentObject objects from a Vector.

  Parameters:
    `vector` - Vector of ContentObject objects
  (Unpublished)

### vectorContentObjectElement

    protected static ContentObject vectorContentObjectElement(java.util.Vector vector,
                                                              int index)

  Description copied from class: `ContentObject`
  Returns a ContentObject element from the Vector of ContentObject objects at the specified index.

  Parameters:
    `vector` - Vector of ContentObject objects
    `index` - index into Vector
  Returns:
    the ContentObject object
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD